Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » SysML 1.4 install error on Oxygen
SysML 1.4 install error on Oxygen [message #1773359] Tue, 26 September 2017 19:45 Go to next message
Tim Butler is currently offline Tim ButlerFriend
Messages: 3
Registered: March 2012
Junior Member
I installed the Papyrus RCP for Oxygen (3.0.0.201706272103) and followed the instructions here to install SysML 1.4 from the specified update site.

Unfortunately, I get the following error:

Cannot satisfy dependency:
From: Papyrus SysML 1.4 Feature (Incubation) 0.11.0.201709210130 (org.eclipse.papyrus.sysml14.feature.feature.group 0.11.0.201709210130)
To: org.eclipse.papyrus.sysml14.nattable.allocation [0.11.0.201709210130]

Any ideas what I might be doing wrong?

Thanks,
Tim
Re: SysML 1.4 install error on Oxygen [message #1773381 is a reply to message #1773359] Wed, 27 September 2017 06:49 Go to previous messageGo to next message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 128
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi,

In short: try again.
=> You did nothing wring there are some aggressive API changes in Papyrus core between Oxygen.0 ,1 and 2. The update site you are using is a nightly and it's not "stable"
Long story here: https://bugs.eclipse.org/bugs/show_bug.cgi?id=518885#c14

Regards,
Benoit
Re: SysML 1.4 install error on Oxygen [message #1773436 is a reply to message #1773381] Wed, 27 September 2017 20:08 Go to previous messageGo to next message
Tim Butler is currently offline Tim ButlerFriend
Messages: 3
Registered: March 2012
Junior Member
Hello Benoit,

Thanks, I retried the install of SysML 1.4 and it did indeed work.

Best,
Tim
Re: SysML 1.4 install error on Oxygen [message #1773604 is a reply to message #1773359] Fri, 29 September 2017 22:00 Go to previous messageGo to next message
Theo Miltenburg is currently offline Theo MiltenburgFriend
Messages: 1
Registered: September 2017
Junior Member
Hi,

I am running windows 7, eclipse oxygen and I am trying to install papyrus. I get this error:


eclipse.buildId=4.7.1.M20170906-1700
java.version=1.8.0_144
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=nl_NL
Framework arguments: -product org.eclipse.epp.package.cpp.product
Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.cpp.product

org.eclipse.papyrus.infra.discovery.ui
Error
Fri Sep 29 23:50:15 CEST 2017
Problems occurred while performing installation: Operation details

java.lang.RuntimeException: Operation details
at org.eclipse.papyrus.infra.discovery.ui.internal.common.PrepareInstallProfileJob.resolve(PrepareInstallProfileJob.java:159)
at org.eclipse.papyrus.infra.discovery.ui.internal.common.PrepareInstallProfileJob.run(PrepareInstallProfileJob.java:109)
at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:119)
[/qoute]

Any suggestions?

Thanks in advance :)
Re: SysML 1.4 install error on Oxygen [message #1774171 is a reply to message #1773604] Wed, 11 October 2017 09:35 Go to previous message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 128
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi,

Generally, it's better to open a new question in forum .
Can you precise the steps you did to install Papyrus ?

Regards,
Benoit

Previous Topic:State chart code generation?
Next Topic:Papyrus Development Environment - Compilation errors
Goto Forum:
  


Current Time: Wed Jul 18 04:42:56 GMT 2018

Powered by FUDForum. Page generated in 0.02135 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top